PDA

View Full Version : SLES for SAP 11 SP4 Konqueror crashing



BBraun
05-Dec-2018, 17:49
Since I need a browser, I try to get konqueror running on system (SLES 11.4) where I got no root access and no browser installed so far. Missing Shared Objects I fed to the system using LD_LIBRARY_PATH. So far so good, but when I start konqueror I get a popup telling me:

Could not delete file file://USER-HOME/.kde4/share/apps/konqueror/autosave/owned_by

The Console states:
USER@HOST:~/home/folder/konqueror/usr/bin> ./konqueror
konqueror(152173) KPixmapCache::Private::checkFileVersion: File "USER-HOME/.kde4/cache-HOST/kpc/kde-icon-cache.data" is not KPixmapCache file, or is
konqueror(152173) KPixmapCache::Private::checkFileVersion: version <= 0x000207, will recreate...
konqueror(152173) KIconCache::loadCustomIndexHeader: Empty themes list
konqueror(152173) KIconTheme::KIconTheme: Icon theme "oxygen" not found.
konqueror(152173) KIconLoaderPrivate::initIconThemes: Couldn't find current icon theme, falling back to default.
konqueror(152173) KIconTheme::KIconTheme: Icon theme "oxygen" not found.
konqueror(152173): Error: standard icon theme "oxygen" not found!

konqueror(152173) KIconCache::Private::themeDirsChanged: Theme directory has been modified
konqueror(152173) KIconCache::loadCustomIndexHeader: Empty themes list
konqueror(152173) KonqMisc::createBrowserWindowFromProfile: path= "" , filename= "webbrowsing" , url= KUrl("")
konqueror(152173) KSycocaPrivate::checkDatabase: We have no database.... launching kdeinit
konqueror(152173) KToolInvocation::klauncher: klauncher not running... launching kdeinit
konqueror(152173) KSycocaPrivate::openDatabase: Trying to open ksycoca from "USER-HOME/.kde4/cache-HOST/ksycoca4"
konqueror(152173) KSycocaPrivate::openDatabase: Could not open ksycoca
konqueror(152173) KSycocaPrivate::checkDatabase: Still no database...
konqueror(152173) KToolInvocation::klauncher: klauncher not running... launching kdeinit
konqueror(152173) KStartupInfo::createNewStartupId: creating: "HOST;1544024132;336594;152173_TIME0" : "konqueror"
konqueror(152173) KNotification::~KNotification: 0
konqueror(152173) KSycocaPrivate::checkDatabase: We have no database.... launching kdeinit
konqueror(152173) KToolInvocation::klauncher: klauncher not running... launching kdeinit
konqueror(152173) KSycocaPrivate::openDatabase: Trying to open ksycoca from "USER-HOME/.kde4/cache-HOST/ksycoca4"
konqueror(152173) KSycocaPrivate::openDatabase: Could not open ksycoca
konqueror(152173) KSycocaPrivate::checkDatabase: Still no database...
konqueror(152173) KServiceTypeTrader::defaultOffers: KServiceTypeTrader: serviceType "Browser/View" not found
konqueror(152173) KActionCollection::addAction: Registering action "edit_undo" under new name "undo"
konqueror(152173) KActionCollection::addAction: Registering action "edit_cut" under new name "cut"
konqueror(152173) KActionCollection::addAction: Registering action "edit_copy" under new name "copy"
konqueror(152173) KActionCollection::addAction: Registering action "edit_paste" under new name "paste"
Calling appendChild() on a null node does nothing.
KCrash: Application 'konqueror' crashing...
sock_file=USER-HOME/.kde4/socket-HOST/kdeinit4_localhost_11
Warning: connect() failed: : No such file or directory
KCrash cannot reach kdeinit, launching directly.
KCrash failed to exec(), errno = 2

Any ideas how to get konqueror running?

jmozdzen
05-Dec-2018, 17:53
Hi BBrown,

welcome to the forums.

From the console output, it seems that konqueror requires a few more bits from a running KDE environment than is available ("k" in konqueror is because it's a KDE-related tool). So maybe a more stand-alone version of a browser might be easier to get running... firefox comes to mind.

Regards,
J

BBraun
06-Dec-2018, 11:47
Yes, firefox was my first choice as well. But standalone wasn't true in may case. Firefox needed nearly as many shared objects as konqueror, which I added using LD_LIBRARY_Path. Even more critical in libpango (one of the needed shared objects) there is a hardcoded reference to /etc/pango/x86_64/pango.modules, which isn't there and I can't provide.
Newer versions of libpango won't use that reference, but also require a newer version of gcc.

jmozdzen
06-Dec-2018, 12:30
Hi,

with "stand-alone" I was more referencing other system services, rather than library dependencies.

I understand you have no root access on the server - maybe you can avoid running the browser on that system (but instead on your working system) or ask the admin to install one for you? Depending on what you#re trying to do with the browser, maybe there are alternative approaches to solve the problem?

Regards,
J